### File

`packages/ecl/components/ecl-select/ecl-select-container.component.ts`

### Description

Container component, which wraps the

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-select-container`
imports | `EUI_ECL_ICON` `TranslateModule` `EUI_ECL_BUTTON`
templateUrl | `./ecl-select-container.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
disabled eclSize isInvalid toggleLabel class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses iconSize

### Constructor

`constructor(eclThemeService: EclThemeService)`
Parameters :
Name | Type | Optional
eclThemeService | `EclThemeService` | No

### Inputs

disabled
Type : `boolean`

eclSize
Type : `string`
Default value : `'m'`
Size/length of the field and the dropdown, can be 's', 'm' or 'l'. Default is 'm'. Same as the size of the main host element.

isInvalid
Type : `boolean`

toggleLabel
Type : `string | undefined`
Default value : `undefined`
Custom label for the arrow-down button. Set from the main host element.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Adds specific classes for the container.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Adds specific classes for the container. Returns : `string`

iconSize
get `iconSize()`
Returns different icon sizes, depending if it's EU (s) or EC (xs) theme. Returns : `string`

# results matching ""

# No results matching ""